Bug 970873 (CVE-2013-2141) - CVE-2013-2141 Kernel: signal: information leak in tkill/tgkill
Summary: CVE-2013-2141 Kernel: signal: information leak in tkill/tgkill
Status: CLOSED ERRATA
Alias: CVE-2013-2141
Product: Security Response
Classification: Other
Component: vulnerability   
(Show other bugs)
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=low,public=20130417,reported=2...
Keywords: Security
Depends On: 970874 970875 970876 970878 970879 970880
Blocks: 970311
TreeView+ depends on / blocked
 
Reported: 2013-06-05 07:00 UTC by Prasad J Pandit
Modified: 2015-07-31 07:07 UTC (History)
25 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-11-21 10:37:27 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2013:1264 normal SHIPPED_LIVE Important: kernel-rt security and bug fix update 2013-09-16 21:01:17 UTC
Red Hat Product Errata RHSA-2013:1292 normal SHIPPED_LIVE Moderate: kernel security and bug fix update 2013-09-26 21:19:22 UTC
Red Hat Product Errata RHSA-2013:1801 normal SHIPPED_LIVE Important: kernel security, bug fix, and enhancement update 2013-12-13 00:23:10 UTC

Description Prasad J Pandit 2013-06-05 07:00:26 UTC
Linux kernel which supports tkill/tgkill routines is vulnerable to an
information leakage flaw. It occurs when routine tkill(2) or tgkill(2) is used
send signal to thread.

A user/program could use this flaw to leak kernel memory bytes.

Upstream fix:
-------------
 -> https://git.kernel.org/linus/b9e146d8eb3b9ecae5086d373b50fa0c1f3e7f0f

Reference:
----------
 -> http://www.openwall.com/lists/oss-security/2013/06/02/1

Comment 1 Prasad J Pandit 2013-06-05 07:02:37 UTC
Statement:

(none)

Comment 4 errata-xmlrpc 2013-09-16 17:05:50 UTC
This issue has been addressed in following products:

  MRG for RHEL-6 v.2

Via RHSA-2013:1264 https://rhn.redhat.com/errata/RHSA-2013-1264.html

Comment 5 errata-xmlrpc 2013-09-26 17:21:58 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2013:1292 https://rhn.redhat.com/errata/RHSA-2013-1292.html

Comment 6 errata-xmlrpc 2013-12-12 19:23:59 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2013:1801 https://rhn.redhat.com/errata/RHSA-2013-1801.html


Note You need to log in before you can comment on or make changes to this bug.